Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162335 - sudo-1.6.7p5-30.3.i386.rpm breaks NOPASSWD line in sudoers
Summary: sudo-1.6.7p5-30.3.i386.rpm breaks NOPASSWD line in sudoers
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 22:31 UTC by Jim Walters
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 19:52:33 UTC


Attachments (Terms of Use)

Description Jim Walters 2005-07-02 22:31:13 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install sudo-1.6.7p5-30.3.i386.rpm
2. create sudoers line like:

jimw    ALL=(ALL) ALL, NOPASSWD: /usr/bin/rdiff-backup

3. try running as jimw:

sudo /usr/bin/rdiff-backup -s
  
Actual results:
Prompted for password.


Expected results:
No password prompt. 


Additional info:
If sudo-1.6.7p5-30.3.i386.rpm is uninstalled and sudo-1.6.7p5-30.2.i386.rpm is
installed the sudo command works as expected.

Comment 1 Karel Zak 2005-07-14 13:09:46 UTC
Sorry, but I cannot reproduce it. Do you have something other in /etc/sudoers?

Comment 2 John Thacker 2007-01-13 19:52:33 UTC
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.